%define version		1.6.0
%define name		gnustep-make
%define prefix 		/usr/GNUstep
%define gs_libcombo     gnu-gnu-gnu

Name: 		%{name}
Version: 	%{version}
Release: 	1mdk
Source: 	%{name}-%{version}.tar.bz2
License: 	GPL
Group:		Development/Other 
Summary: 	GNUstep Makefile package
URL:		http://www.gnustep.org/
BuildRoot:	%{_tmppath}/%{name}-%{version} 

%description
This package contains the basic scripts, makefiles and directory layout
needed to run and compile any GNUstep software.  This package was configured
for library combo %{gs_libcombo}.

%prep
%setup -n %{name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} --with-library-combo=%{gs_libcombo} 
make

%install
make install special_prefix=${RPM_BUILD_ROOT}

%ifos Linux
mkdir -p ${RPM_BUILD_ROOT}/etc/profile.d

# Create profile files

echo "#!/bin/sh" > mygnustep.sh
echo ". %{prefix}/System/Makefiles/GNUstep.sh" >> mygnustep.sh

#echo "#!/bin/csh" > mygnustep.csh
#echo "source %{gs_prefix}/System/Makefiles/GNUstep.csh" >> mygnustep.csh

chmod 755 mygnustep.*
mv mygnustep.sh $RPM_BUILD_ROOT/etc/profile.d/GNUstep.sh
#mv mygnustep.csh $RPM_BUILD_ROOT/etc/profile.d/GNUstep.csh
%endif # Linux

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-, root, root)
%doc ANNOUNCE COPYING ChangeLog FAQ GNUstep-HOWTO
%doc INSTALL NEWS README 

# Well - this is the simplest trick you could think of.  We include in
# the package everything which was installed inside /usr/GNUstep/
%{prefix}

# Add the profiles for linux as configuration files <FIXME gdomap etc>
%ifos Linux
%config(noreplace) /etc/profile.d/GNUstep.sh
#%config /etc/profile.d/GNUstep.csh
%endif # Linux

#
# FIXME - do we want to add dirs to the library path or not
#

#%post
#if [ $1 = 1]; then
#%ifos Linux
# if [ -z "$GNUSTEP_SYSTEM_ROOT" ]; then
#    . %{gs_root}/Makefiles/GNUstep.sh 
# fi
# grep -q '%{gs_prefix}/System/Libraries/$GNUSTEP_HOST_CPU/$GNUSTEP_HOST_OS/%{gs_libcombo}' /etc/ld.so.conf || echo "%{gs_prefix}/System/Libraries/$GNUSTEP_HOST_CPU/$GNUSTEP_HOST_OS/%{gs_libcombo}" >> /etc/ld.so.conf
#%endif
#fi

#%postun
#if [ $1 = 0 ]; then
#%ifos Linux
# if [ -z "$GNUSTEP_SYSTEM_ROOT" ]; then
#    . %{gs_root}/Makefiles/GNUstep.sh 
# fi
# mv -f /etc/ld.so.conf /etc/ld.so.conf.orig
# grep -v "^%{gs_prefix}/System/Libraries/$GNUSTEP_HOST_CPU/$GNUSTEP_HOST_OS/%{gs_libcombo}" /etc/ld.so.conf.orig > /etc/ld.so.conf
# rm -f /etc/ld.so.conf.orig
#%endif
#fi

%changelog
* Tue Jun 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.6.0-1mdk
- 1.6.0

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.5.1-2mdk
- rebuild

* Fri Nov 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5.1-1mdk
- 1.5.1

* Fri Nov 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5.0-1mdk
- 1.5.0
- bzip2 sources
- add some docs

* Thu Aug 8 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.4.0-1mdk
- first mandrakesoft.com release
- based on Adam Fedor <fedor@gnu.org> spec

* Thu Jul 19 2001 Adam Fedor <fedor@gnu.org>
- Remove csh script

* Thu Apr 12 2001 Adam Fedor <fedor@gnu.org>
- Changed default combo to gnu-gnu-gnu

* Mon Feb 19 2001  Nicola Pero  <nicola@brainstorm.co.uk>
- Updated for new special_prefix option
	
* Wed Jan 17 2001  Nicola Pero  <nicola@brainstorm.co.uk>
- Updated; heavily simplified and mostly rewritten

* Sat Sep 18 1999 Christopher Seawood <cls@seawood.org>
- Version 0.6.0
- Added nodupsh patch

* Sat Aug 07 1999 Christopher Seawood <cls@seawood.org>
- Updated to cvs dawn_6 branch

* Fri Jun 25 1999 Christopher Seawood <cls@seawood.org>
- Split into separate rpm from gnustep-core
- Build from cvs snapshot
- Added services patch

